Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.util
Class CollectionFactory

    java.lang.Object
      com.hp.hpl.jena.util.CollectionFactory

    public class CollectionFactory

extends java.lang.Object

CollectionFactory - a central place for allocating sets and maps, mostly so that it's easy to plug in new implementations (eg trove).

Author:
  kers

Constructor Summary
`CollectionFactory()`

Method Summary
`static java.util.Map` | `createHashedMap()` Answer a new Map which uses hashing for lookup.
`static java.util.Map` | `createHashedMap(int size)` Answer a new Map which uses hashing for lookup and has initial size `size`.
`static java.util.Map` | `createHashedMap(java.util.Map toCopy)` Answer a new Map which uses hashing for lookup and is initialised to be a copy of `toCopy`.
`static java.util.Set` | `createHashedSet()` Answer a new Set which uses haashing for lookup.
`static java.util.Set` | `createHashedSet(java.util.Collection toCopy)` Answer a new Set which uses hashing for lookup and is initialised as a copy of `toCopy`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionFactory

    public CollectionFactory()

Method Detail

### createHashedMap

    public static java.util.Map createHashedMap()

  Answer a new Map which uses hashing for lookup.

### createHashedMap

    public static java.util.Map createHashedMap(int size)

  Answer a new Map which uses hashing for lookup and has initial size `size`.

### createHashedMap

    public static java.util.Map createHashedMap(java.util.Map toCopy)

  Answer a new Map which uses hashing for lookup and is initialised to be a copy of `toCopy`.

### createHashedSet

    public static java.util.Set createHashedSet()

  Answer a new Set which uses haashing for lookup.

### createHashedSet

    public static java.util.Set createHashedSet(java.util.Collection toCopy)

  Answer a new Set which uses hashing for lookup and is initialised as a copy of `toCopy`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP